Package org.linphone.core

# Enum Class PresenceActivity.Type

java.lang.Object
java.lang.Enum<PresenceActivity.Type>
org.linphone.core.PresenceActivity.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<PresenceActivity.Type>`, `Constable`

Enclosing interface:
  `PresenceActivity`

public static enum PresenceActivity.Type extends Enum<PresenceActivity.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Appointment`
The person has a calendar appointment, without specifying exactly of what type.
`Away`
The person is physically away from all interactive communication devices.
`Breakfast`
The person is eating the first meal of the day, usually eaten in the morning.
`Busy`
The person is busy, without further details.
`Dinner`
The person is having his or her main meal of the day, eaten in the evening or
at midday.
`Holiday`
This is a scheduled national or local holiday.
`InTransit`
The person is riding in a vehicle, such as a car, but not steering.
`LookingForWork`
The person is looking for (paid) work.
`Lunch`
The person is eating his or her midday meal.
`Meal`
The person is scheduled for a meal, without specifying whether it is breakfast,
lunch, or dinner, or some other meal.
`Meeting`
The person is in an assembly or gathering of people, as for a business, social,
or religious purpose.
`OnThePhone`
The person is talking on the telephone.
`Other`
The person is engaged in an activity with no defined representation.
`Performance`
A performance is a sub-class of an appointment and includes musical,
theatrical, and cinematic performances as well as lectures.
`PermanentAbsence`
The person will not return for the foreseeable future, e.g., because it is no
longer working for the company.
`Playing`
The person is occupying himself or herself in amusement, sport, or other
recreation.
`Presentation`
The person is giving a presentation, lecture, or participating in a formal
round-table discussion.
`Shopping`
The person is visiting stores in search of goods or services.
`Sleeping`
The person is sleeping.
`Spectator`
The person is observing an event, such as a sports event.
`Steering`
The person is controlling a vehicle, watercraft, or plane.
`Travel`
The person is on a business or personal trip, but not necessarily in-transit.
`TV`
The person is watching television.
`Unknown`
The activity of the person is unknown.
`Vacation`
A period of time devoted to pleasure, rest, or relaxation.
`Working`
The person is engaged in, typically paid, labor, as part of a profession or
job.
`Worship`
The person is participating in religious rites.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static PresenceActivity.Type`
`fromInt(int value)`
`int`
`toInt()`
`static PresenceActivity.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PresenceActivity.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Appointment

public static final PresenceActivity.Type Appointment
The person has a calendar appointment, without specifying exactly of what type.
This activity is indicated if more detailed information is not available or the
person chooses not to reveal more information.

### Away

public static final PresenceActivity.Type Away
The person is physically away from all interactive communication devices.

### Breakfast

public static final PresenceActivity.Type Breakfast
The person is eating the first meal of the day, usually eaten in the morning.

### Busy

public static final PresenceActivity.Type Busy
The person is busy, without further details.

### Dinner

public static final PresenceActivity.Type Dinner
The person is having his or her main meal of the day, eaten in the evening or
at midday.

### Holiday

public static final PresenceActivity.Type Holiday
This is a scheduled national or local holiday.

### InTransit

public static final PresenceActivity.Type InTransit
The person is riding in a vehicle, such as a car, but not steering.

### LookingForWork

public static final PresenceActivity.Type LookingForWork
The person is looking for (paid) work.

### Lunch

public static final PresenceActivity.Type Lunch
The person is eating his or her midday meal.

### Meal

public static final PresenceActivity.Type Meal
The person is scheduled for a meal, without specifying whether it is breakfast,
lunch, or dinner, or some other meal.

### Meeting

public static final PresenceActivity.Type Meeting
The person is in an assembly or gathering of people, as for a business, social,
or religious purpose.
A meeting is a sub-class of an appointment.

### OnThePhone

public static final PresenceActivity.Type OnThePhone
The person is talking on the telephone.

### Other

public static final PresenceActivity.Type Other
The person is engaged in an activity with no defined representation.
A string describing the activity in plain text SHOULD be provided.

### Performance

public static final PresenceActivity.Type Performance
A performance is a sub-class of an appointment and includes musical,
theatrical, and cinematic performances as well as lectures.
It is distinguished from a meeting by the fact that the person may either be
lecturing or be in the audience, with a potentially large number of other
people, making interruptions particularly noticeable.

### PermanentAbsence

public static final PresenceActivity.Type PermanentAbsence
The person will not return for the foreseeable future, e.g., because it is no
longer working for the company.

### Playing

public static final PresenceActivity.Type Playing
The person is occupying himself or herself in amusement, sport, or other
recreation.

### Presentation

public static final PresenceActivity.Type Presentation
The person is giving a presentation, lecture, or participating in a formal
round-table discussion.

### Shopping

public static final PresenceActivity.Type Shopping
The person is visiting stores in search of goods or services.

### Sleeping

public static final PresenceActivity.Type Sleeping
The person is sleeping.

### Spectator

public static final PresenceActivity.Type Spectator
The person is observing an event, such as a sports event.

### Steering

public static final PresenceActivity.Type Steering
The person is controlling a vehicle, watercraft, or plane.

### Travel

public static final PresenceActivity.Type Travel
The person is on a business or personal trip, but not necessarily in-transit.

### TV

public static final PresenceActivity.Type TV
The person is watching television.

### Unknown

public static final PresenceActivity.Type Unknown
The activity of the person is unknown.

### Vacation

public static final PresenceActivity.Type Vacation
A period of time devoted to pleasure, rest, or relaxation.

### Working

public static final PresenceActivity.Type Working
The person is engaged in, typically paid, labor, as part of a profession or
job.

### Worship

public static final PresenceActivity.Type Worship
The person is participating in religious rites.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static PresenceActivity.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PresenceActivity.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static PresenceActivity.Type fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()